Disable Dynamic Config
curl --request PUT \
--url https://statsigapi.net/console/v1/dynamic_configs/{id}/disable \
--header 'STATSIG-API-KEY: <api-key>'import requests
url = "https://statsigapi.net/console/v1/dynamic_configs/{id}/disable"
headers = {"STATSIG-API-KEY": "<api-key>"}
response = requests.put(url, headers=headers)
print(response.text)const options = {method: 'PUT', headers: {'STATSIG-API-KEY': '<api-key>'}};
fetch('https://statsigapi.net/console/v1/dynamic_configs/{id}/disable', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"data": {
"id": "<string>",
"description": "helpful summary of what this dynamic config does",
"lastModifierID": "<string>",
"lastModifiedTime": 123,
"lastModifierEmail": "<string>",
"lastModifierName": "<string>",
"createdTime": 123,
"creatorName": "<string>",
"isEnabled": true,
"rules": [
{
"name": "<string>",
"passPercentage": 50,
"conditions": [
{
"targetValue": [
"<string>"
],
"operator": "<string>",
"field": "<string>",
"customID": "<string>"
}
],
"environments": [
"<string>"
],
"id": "<string>",
"baseID": "<string>",
"returnValue": {},
"returnValueJson5": "<string>"
}
],
"name": "<string>",
"idType": "userID",
"creatorID": "<string>",
"creatorEmail": "<string>",
"tags": [
"a tag"
],
"targetApps": "<string>",
"holdoutIDs": [
"<string>"
],
"team": "<string>",
"teamID": "<string>",
"version": 123,
"defaultValue": {},
"defaultValueJson5": "<string>",
"owner": {
"ownerID": "user123",
"ownerType": "USER",
"ownerName": "John Doe",
"ownerEmail": "owner123@test.com"
},
"schema": "<string>",
"schemaJson5": "<string>",
"precommitWebhook": {
"url": "<string>",
"internalStatusUrl": "<string>"
}
}
}Dynamic Configs
Disable Dynamic Config
PUT
/
console
/
v1
/
dynamic_configs
/
{id}
/
disable
Disable Dynamic Config
Authorizations
Headers
Optional header to respect review settings for mutation endpoints.
Path Parameters
id
⌘I

